:root{
--close-red:#e51747;
--ul-primary:#292932;
--white:#fff;
}
/* body background img css */
.filter-box{
    background-color: var(--primary-dark);
    border-radius: 10px;
    padding: 0.5rem;
  }
  
  
  .admin-dashboard-product-degin{
      padding: 0 0 100px 0;
      position: relative;
  }
  
  .admin-dashboard-product-degin::after{
    background-image: url("../img/back.png");
    background-position: center;
    background-attachment: fixed;
    content:"";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
    opacity: 0.7;
  }
  
  /* side Navbar css */
  .admin-menu-list-view>ul{
      background-color: var(--primary-dark);
      border-radius:10px;
      border: 1px solid var(--primary-color);
      padding: 1.5rem 1rem;
      display: flex;
      flex-direction: column;
      gap: 1.5rem;
  }
  .admin-menu-list-view>ul>li{
      border-bottom: 1px solid var(--primary-color);
  
      transition: all .3s ease-in-out;
    
  }
  .admin-menu-list-view>ul>li:last-child{
      border-bottom:unset;
  }
  
  .admin-menu-list-view>ul>li>a{
      color: var(--primary-white);
      font-size: 1rem;
      padding: 0.6rem ;
      display: block;
  }
  .admin-menu-list-view>ul>li:hover{
      background-color: var(--primary-color);
      color: var(--primary-white);
      border-radius: 10px;
  }
  
  .admin-menu-list-view>ul>li.active{
      background-color: var(--primary-color);
      color: var(--primary-white);
      border-radius: 10px;
  }
  /* right admin-data-view  css*/
  .admin-data-view{
      /* padding:0  1.5rem !important; */
  }
   /* admin top setion css */
  .admin-top{
      display: flex;
      align-items: center;
      gap: 0.8rem;
  }
  
  .admin-top>.title{
      text-transform: uppercase;
      margin: 0;
  }
  .admin-top>button{
      padding: 0.5rem;
      height: auto;
      font-weight: 500;
  }
  
  /* admin filter css */
  .admin-filter-table{
    display: inline-flex;
        align-items: center;
        justify-content: end;
        width: 100%;
      gap: 1.5rem;
      padding: 1rem 0;
  }
  .main-admin-filter-table{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1.5rem;
    padding: 1rem 0;
  }
  .admin-filter-table>select,.main-admin-filter-table>select{
      width: 100%;
      max-width: 250px;
      outline: none;
      border: 1px solid var(--table-light-dark);
      padding: 0.6rem;
      font-size: 1.1rem;
      border-radius: 0.5rem;
      /* box-shadow: 0 1px 4px rgb(146 161 176 / 15%); */
      cursor: pointer;
      background:var(--table-light-dark);
      color:var(--secondary-white);
  }
  .main-admin-filter-table>select{
    max-width: 250px;
  }
  .admin-filter-table>select:focus,
  .admin-filter-table>select:hover,.main-admin-filter-table>select:focus,
  .main-admin-filter-table>select:hover{
      outline: none;
      border: 1px solid rgba(0, 0, 0, 0.329);
  }
  .filterbutton{
      border: 1px solid var(--primary-color);
      padding: 0.6rem;
      font-size: 1.1rem;
      border-radius: 0.5rem;
      background-color: var(--primary-dark);
      color: var(--primary-white);
  }
  .filterbutton>i{
      color: var(--primary-color);
      margin-right: 0.3rem;
  }
  /* datatable css */
  .admin-data-view>.admin-data-table{
      background-color: var(--primary-light-dark);
      border: 1px solid var(--primary-color);
      border-radius: 10px;
      padding: 0.5rem;
      overflow-x: auto;
  }
  .admin-data-view>.admin-data-table::-webkit-scrollbar {
    height:6px;
  }
   
  .admin-data-view>.admin-data-table::-webkit-scrollbar-thumb {
    background: var(--primary-color);
    border-radius: 20px;
  }
  
  .admin-data-view>.admin-data-table::-webkit-scrollbar-track {
    background:var(--nav-color);
    border-radius: 20px;
  }
  
  .admin-data-view .datatable {
      border-collapse: collapse;
      width: 100%;
  }
  .admin-data-view  .datatable,
  .admin-data-view  .datatable th,
  .admin-data-view  .datatable td {
    /* padding: var(--dt-padding) var(--dt-padding); */
    height: 50px;
    white-space: nowrap;
  }
  
  .admin-data-view  .datatable th {
    font-weight: bolder;
    text-align: center;
    border-bottom: solid 1px #ABAEB4;
    color: var(--table-text-color);
    text-transform: uppercase;
    
  }
  
  .admin-data-view  .datatable td {
    /* text-align: center; */
    color: var(--table-td-text-color);
    height: 70px;
  }
  
  .admin-data-view  .datatable tbody tr:nth-child(even) {
    background-color: var(--table-light-dark);
    border-radius: 10px;
  }
  
  .admin-data-view  .datatable tbody tr:hover {
    background-color: var(--primary-dark);
    cursor: pointer;
  }
  .table-flex{
      display: flex;
      align-items: center;
      gap: 0.2rem;
      justify-content: center;
  }
  .table-flex>button{
      color: black;
      cursor: pointer;
      border: 0;
      width: 30px;
      height: 30px;
      border-radius: 3px;
      display: inline-flex;
      align-items: center;
      justify-content: center;
  }
  .table-flex>.edit{
      background-color: var(--primary-purple);
      
  }
  .table-flex>.delete{
      background-color: var(--primary-color);
     
  }
  .admin-data-view  .datatable td .table-imgbox{
      /* width: 50px; */
      margin: auto;
  }
  .admin-data-view  .datatable td .table-imgbox>img{
      width: 100%;
      height: 100%;
      object-fit: cover;
  }
  .admin-dashboard-product-degin .popup-box {
      max-width: 550px;
    }
    .admin-dashboard-product-degin .popup-box-max{
      max-width: 750px;
    }
    .admin-dashboard-product-degin .popup-box .modal-content {
      /* background-color: var(--primary-dark); */
    }
    .admin-dashboard-product-degin .popup-box .modal-header {
      border-bottom: 0;
    }
    .admin-dashboard-product-degin .popup-box .modal-header .btn-close {
      position: absolute;
      right: 10px;
      top: 10px;
      color: var(--primary-color);
      background: var(--close-red);
      width: 30px;
      height: 30px;
      border-radius: 50%;
      opacity: 1;
    }
    .admin-dashboard-product-degin .popup-box .modal-header .btn-close i {
      font-size: 1.3rem;
      color:white;
    }
    .admin-dashboard-product-degin .popup-box .custome-img-upload {
      display: grid;
      grid-template-columns: 1fr 2fr;
      gap: 1rem;
    }
    .admin-dashboard-product-degin .popup-box .custome-img-upload .image {
      width: 100%;
      height: 200px;
    }
    /* .admin-dashboard-product-degin .addons-sidebar{
      position: sticky;
      top: 60px;
      bottom: 30px;
      height: 100%;
    } */
    .admin-dashboard-product-degin .popup-box .custome-img-upload .image img {
      width: 100%;
      height: 100%;
      -o-object-fit: cover;
         object-fit: cover;
    }
    .admin-dashboard-product-degin .popup-box .custome-img-upload .text-area textarea {
      width: 100%;
      height: 200px;
      resize: none;
      background: transparent;
      color: var(--secondary-dark);
      padding: 1rem;
      font-size: 15px;
    }
  
    .admin-dashboard-product-degin .popup-box>.modal-content>.modal-body{
      border: 1px solid var(--primary-color) !important;
      border-radius: 10px;
      margin: 1rem;
    }
    .admin-dashboard-product-degin .popup-box>.modal-content>.modal-footer{
      border: 0 !important;
    }
    .input-data-box{
      padding: 0.5rem !important;
    }
    .pop-multi-upload{
      display: flex;
      align-items: center;
      justify-content: center;
      padding: 0.5rem;
      border-left:1px solid var(--secondary-dark) ;
    }
  
    .admin-upload-img-box{
      background:var(--primary-white);
      height: 200px;
      border-radius: 5px;
      padding: 0.5rem;
      position: relative;
    }
    .admin-upload-img-box>.choose-img{
      height: 100px;
    }
    .admin-upload-img-box>.choose-img>img{
     width: 100%;
     height: 100%;
     object-fit: contain;
    }
    .admin-upload-img-box input{
      width: 100%;
      font-size: 10px;
      padding: 0.2rem;
    }
    .admin-upload-img-box>p{
      margin-bottom: 0.2rem;
    }
   .nav-card .swiper-button-next,
   .nav-card .swiper-button-prev {
    background-color: var(--ul-primary); 
    color: var(--white);
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--white);
  }
   .nav-card .swiper-button-next::after,
   .nav-card .swiper-button-prev::after {
    font-size: 1rem !important;
  }
  
    .close-icon{
      position: absolute;
    background: var(--close-red);
    border-radius: 50%;
    width: 20px;
    height: 20px;
    border: 4px solid var(--close-red);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    right: -2px;
    top: -2px;
    color:white;
    }
    
  
    /* admin-price-box css */
    .admin-dashboard-product-degin .admin-label-price{
      /* background-color: var(--primary-dark); */
      -webkit-border-bottom-right-radius: 10px;
      -webkit-border-bottom-left-radius: 10px;
      -moz-border-radius-bottomright: 10px;
      -moz-border-radius-bottomleft: 10px;
      border-bottom-right-radius: 10px;
      border-bottom-left-radius: 10px;
      border-style: solid;
      /* border-color: var(--primary-purple) !important; */
    }
    .admin-label-price-box>ul{
      gap:0.3rem !important;
    }
  
    .admin-label-price-box>ul>.input-dark>label{
      text-transform: capitalize;
      padding: 0.4rem 0;
      font-size: 1rem;
      font-weight: 300;
     }
     .admin-label-price-box>ul>.input-dark>.input-group>input{
       background-color: transparent;
       color: var(--secondary-white);
       border: 1px solid var( --border-input-color);
       border-radius:10px !important;
       width: 100%;
       /* font-size: 12px; */
       padding: 0.45em 0.6em;
       height: 45px;
     }
     .flex-input-dark>.input-group>input{
      background-color: transparent;
      color: var(--secondary-white);
      border: 1px solid var( --border-input-color);
      border-radius:10px !important;
      width: 100%;
      font-size: 12px;
      padding: 0.45em 0.6em;
      height: 45px;
     }
     .flex-input-dark>.input-group>.input-icon-box{
      width: 20px;
      height: 20px;
      border: 1px solid var(--primary-white);
      color: white;
      border-radius: 50% !important;
      display: inline-flex;
      align-items: center;
      justify-content: center;
      position: absolute;
      top: 12px;
      right: 10px;
      opacity: 0;
     }
     .admin-label-price-box>ul>.input-dark>.input-group>input:focus,
     .admin-label-price-box>ul>.input-dark>.input-group>input:hover{
         color: var(--primary-white);
      }
     .admin-label-price-box>ul>.input-dark>.input-group>.input-icon-box{
      width: 20px;
      height: 20px;
      border: 1px solid var(--primary-white);
      /* color: white; */
      border-radius: 50% !important;
      display: inline-flex;
      align-items: center;
      justify-content: center;
      position: absolute;
      top: 12px;
      right: 10px;
     }
  
     /*  admin price input active css */
  
     .admin-label-price-box>ul>.active-dark>label{
      color: var(--black);
     }
     .admin-label-price-box>ul>.active-dark>.input-group>input{
       border: 1px solid var(--color-success);
     }
     .admin-label-price-box>ul>.active-dark>.input-group>.input-icon-box{
      border: 1px solid var(--color-success);
     }
  
     /* .addons-sidebar2>.custom-tag-title{
      background-color: var(--primary-purple);
     } */
  
     .applay-btn{
      color: var(--primary-white);
      border-radius: 10px;
      text-transform: capitalize;
      font-size: 15px;
      border: 1px solid var(--primary-color);
      background-color: var(--primary-color);
      display: inline-flex;
      align-items: center;
      justify-content: center;
      cursor: pointer;
      width: 100%;
      height: 45px;
      max-width: 90px;
     }
  
     /* admin comment section css */
  
     .admin-comment-section>.admin-comments-main{
      background-color: var(--primary-white);
      border-radius: 10px;
      padding: 1.5rem;
      color: var(--button-border-color);
     }
   
     .admin-comment-section>.admin-comments-main>.comment-area>textarea{
      width: 100%;
      height: 120px;
      border:1px solid var(--black);
      resize: none;
      padding: 1rem;
     }
     .admin-send-upload-img>.future-choose-box>.admin-upload-img-box>.choose-img {
      height: 100%;
      border-radius:15px;
      border:1px dashed black;
     }
  
     /* admin orders page Sts Btn */
  
     .sts-btn{
      border: 1px solid var(--button-border-color);
      padding: 0.3rem 0.5rem;
      border-radius: 5px;
      margin:0 auto;
      cursor: pointer;
     }
  
     .sts-select{
      background:transparent;
      color: var(--table-text-color);
      margin: auto;
      padding: 0.5rem;
      border-radius: 5px;
     }
  
     .sts-select>option{
      color: var(--primary-light-dark);
     }
  
     .pagination>.page-item>.previous-btn,.previous-btn{
       background-color: #292932;
       border-radius: 10px;
       padding: 0.5rem;
       color: var(--primary-white);
       border: 1px solid #292932;
     }
     .pagination>.page-item>.next-btn,.next-btn{
      background-color: #F1F1F5;
      border-radius: 10px;
      padding: 0.5rem;
      color: var(--primary-dark);
      border: 1px solid #F1F1F5;
     }
     .pagination>.page-item>.table-pag-nav-link{
      margin: 0 0.5rem ;
      background-color: transparent;
      color: var(--primary-white);
      border: 0;
     }
  
     .admin-display-two-grid{
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      gap:0.3rem;
     }
     
     .admin-display-three-grid{
      display: grid;
      grid-template-columns:0.7fr 1fr 1fr;
      gap:1rem;
     }
  
     /* admin page order data list view */
     .user-data-list-section>.address-section .input-dark label{
      padding: 0.3rem 0;
      margin: 0.5rem 0 0 0;
      font-size: 15px;
      color: var(--table-text-color);
      text-transform: capitalize;
     }
     .user-data-list-section>.address-section .input-dark input{
      font-size: 16px;
     }
     .admin-data-view>.admin-view-user-data-list-section{
      padding: 2rem 1.5rem;
     }
    .admin-flex-colum{
      display: flex;
      justify-content: center;
      flex-direction: column;
    }
    .admin-d-flex-row{
      display: flex;
      align-items: center;
      gap:0.3rem;
    }
    .price-flex-bottom{
      display:flex;
      align-items: center;
      justify-content: space-between;
    }
    .user-price-box{
      background-color: var(--primary-dark);
      padding: 1rem;
      width: 100%;
      border-radius: 10px;
      max-width: 300px;
    }
    .swiper-pagination-bullet {
      background: var(--primary-white) !important;
    }
    .swiper-pagination-bullet-active {
      opacity: var(--swiper-pagination-bullet-opacity, 1);
      background:var(--primary-color);
  }
  .modify-popup{
    height:80vh;
}
.modify-popup> .modal-body{
    overflow-y: auto;
}

